For Developers
Create Transformation
POST https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/transformations
Creates a new transformation and attaches it to the integration.
Permissions
Requires the transformations.create system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:integration_id | UUID | Yes | The ID of the integration. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
block_id | UUID | No | Block that defines the transformation. |
configuration | Object | No | Parameters stored with the transformation. |
state | String | No | active or inactive. Defaults to active. |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/transformations`,
{
block_id: '7ca194a2-1982-4f91-8841-59128aa10234',
state: 'active',
configuration: {}
},
{
headers: {
authorization: `Bearer ${user_session_token}`,
'content-type': 'application/json'
}
}
);
Sample Response
{
"$data": {
"id": "18492019-4819-4bb4-8172-401928472910",
"state": "active",
"block_id": "7ca194a2-1982-4f91-8841-59128aa10234"
}
}
